## zstd-jni-java 1.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
include(CheckCCompilerFlag)
project(zstd-jni C ASM)
file(STRINGS "version" NATIVE_VERSION)
find_package(JNI)
include_directories("src/main/native" "src/main/native/common" "src/main/native/compress" "src/main/native/decompress" "src/main/native/dictBuilder" "src/main/native/legacy")
if (JNI_FOUND)
    include_directories(${JNI_INCLUDE_DIRS})
endif (JNI_FOUND)
file(GLOB_RECURSE SOURCES RELATIVE ${CMAKE_SOURCE_DIR} "src/*.[cS]")
add_library(zstd-jni-${NATIVE_VERSION} SHARED ${SOURCES})
add_definitions("-DZSTD_MULTITHREAD=1")
add_definitions("-DZSTD_LEGACY_SUPPORT=4")
CHECK_C_COMPILER_FLAG(-Oz COMPILER_SUPPORTS_OZ)
if(COMPILER_SUPPORTS_OZ)
    add_definitions("-Oz")
endif()

## zstd-jni-java 1.5.2-5%2Bds

=== debian/control ===
Source: zstd-jni-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               default-jdk,
               javahelper,
               libzstd-dev,
               maven-debian-helper,
               maven-repo-helper,
               pkg-config,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/luben/zstd-jni
Vcs-Browser: https://salsa.debian.org/java-team/zstd-jni-java
Vcs-Git: https://salsa.debian.org/java-team/zstd-jni-java.git

Package: libzstd-jni-java
Architecture: all
Multi-Arch: foreign
Depends: libzstd-jni1, ${maven:CompileDepends}, ${misc:Depends}
Description: JNI bindings for Zstd (Java files)
 Native library that provides a fast and high-compression lossless algorithm
 for Android, Java, and all JVM languages. It features static
 compress/decompress methods, implementation of InputStream and OutputStream
 for transparent compression of data streams fully compatible with the "zstd"
 program, and minimal performance overhead.
 .
 This package contains the required Java files.

Package: libzstd-jni1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JNI bindings for Zstd (Architecture-specific files)
 Native library that provides a fast and high-compression lossless algorithm
 for Android, Java, and all JVM languages. It features static
 compress/decompress methods, implementation of InputStream and OutputStream
 for transparent compression of data streams fully compatible with the "zstd"
 program, and minimal performance overhead.
 .
 This package contains the required architecture-specific files.

## zstd-jni-java 1.5.2-5+ds

=== debian/changelog ===
zstd-jni-java (1.5.2-5+ds-7) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 21:06:25 +0200

zstd-jni-java (1.5.2-5+ds-6) unstable; urgency=medium

  * Correctly version POM

 -- Olek Wojnar <olek@debian.org>  Sat, 22 Mar 2025 01:05:37 -0400

zstd-jni-java (1.5.2-5+ds-5) unstable; urgency=medium

  * Future-proof POM versioning

 -- Olek Wojnar <olek@debian.org>  Fri, 21 Mar 2025 20:49:15 -0400

zstd-jni-java (1.5.2-5+ds-4) unstable; urgency=medium

  * Update Debian Bazel team info
  * Add note in d/README.source clarifying version constraint
    - Bazel packages require version 1.5.2-5 or lower
    - Uploading newer versions may break Bazel packages
  * Update standards to 4.7.2 (no changes)
  * Refresh packaging
  * Remove unused lintian override

 -- Olek Wojnar <olek@debian.org>  Fri, 21 Mar 2025 20:15:10 -0400

zstd-jni-java (1.5.2-5+ds-3) unstable; urgency=medium

  * Team upload.
  * Depend on maven-resources-plugin 3.3.0 and maven-compiler-plugin 3.10.1.
    Fixes FTBFS when building zstd-jni-java for binary-arch only.
    Thanks to Andreas Beckmann for the report. (Closes: #1034059)

 -- Markus Koschany <apo@debian.org>  Sat, 08 Apr 2023 22:46:57 +0200

zstd-jni-java (1.5.2-5+ds-2) unstable; urgency=high

  * Prevent duplicate Java files install into arch-dependent package

 -- Olek Wojnar <olek@debian.org>  Sat, 12 Nov 2022 15:54:22 -0500

zstd-jni-java (1.5.2-5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1021949)

 -- Olek Wojnar <olek@debian.org>  Thu, 20 Oct 2022 14:30:09 -0400

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libzstd-dev,
                maven-debian-helper,
                maven-repo-helper,
-               pkg-config,
-Standards-Version: 4.6.1
+               pkgconf,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/luben/zstd-jni
 Vcs-Browser: https://salsa.debian.org/java-team/zstd-jni-java

=== debian/tests/control ===
Tests: ZstdTest
Depends: @, default-jdk, junit4
Restrictions: rw-build-tree

## zstd-jni-java 1.5.4-2+ds

=== debian/changelog ===
zstd-jni-java (1.5.4-2+ds-3~exp4) experimental; urgency=medium

  * Correctly version POM

 -- Olek Wojnar <olek@debian.org>  Sat, 22 Mar 2025 00:58:04 -0400

zstd-jni-java (1.5.4-2+ds-3~exp3) experimental; urgency=medium

  * Use Debian version for POM future-proofing

 -- Olek Wojnar <olek@debian.org>  Fri, 21 Mar 2025 21:40:01 -0400

zstd-jni-java (1.5.4-2+ds-3~exp2) experimental; urgency=medium

  * Future-proof POM versioning

 -- Olek Wojnar <olek@debian.org>  Fri, 21 Mar 2025 21:02:11 -0400

zstd-jni-java (1.5.4-2+ds-3~exp1) experimental; urgency=medium

  [ Olek Wojnar ]
  * Update Debian Bazel team info
  * Update symbols
  * Remove unused lintian override
  * Update standards to 4.7.2 (no changes)
  * Refresh packaging
  * Add lintian override for false positive:
    symbols-file-contains-debian-revision
  * Add note in d/README.source clarifying version constraint
    - Bazel packages require version 1.5.2-5 or lower
    - Uploading newer versions may break Bazel packages

  [ Markus Koschany ]
  * Depend on maven-resources-plugin 3.3.0 and maven-compiler-plugin 3.10.1.
    Fixes FTBFS when building zstd-jni-java for binary-arch only.
    Thanks to Andreas Beckmann for the report. (Closes: #1034059)

  [ sun min ]
  * New upstream version 1.5.4-2+ds

 -- Olek Wojnar <olek@debian.org>  Fri, 21 Mar 2025 16:31:29 -0400
